#version 430

in vec2 TexCoords;

out vec4 color;

uniform sampler2D textureSampler;

void main()
{ 
    vec3 textureColor = texture(textureSampler, TexCoords).rgb;
    
    float brightness = dot(textureColor, vec3(0.2126, 0.7152, 0.0722));
    if(brightness > 1)
        color = vec4(textureColor, 1);
    else
        color = vec4(0, 0, 0, 1);
}