#version 430

in vec2 TexCoords;
out vec4 color;

uniform sampler2D text;
uniform vec3 textColor;
uniform bool isRect;
uniform float brightness;

void main()
{    
	if (isRect) {
		color = vec4(textColor, 1.0);
	}
	else {
		vec4 sampled = vec4(1.0, 1.0, 1.0, texture(text, TexCoords).r);
		color = vec4(textColor * brightness, 1.0) * sampled;
	}
}