#version 430 core
layout(location = 0) in vec3 in_position;
layout(location = 1) in vec3 in_color;

out vec3 col;

uniform mat4 viewProjMatrix;

void main() {
	gl_Position = viewProjMatrix * vec4(in_position, 1);
	col = in_color;
}