#version 430 core
layout(location = 0) in vec3 in_position;
layout(location = 1) in vec3 in_normal;
layout(location = 2) in vec3 in_tangent;
layout(location = 3) in vec3 in_bitangent;
layout(location = 4) in vec2 in_uvmap;
layout(location = 5) in mat4 in_modelMatrix;

uniform mat4 viewProjMatrix;

void main() {
	gl_Position = viewProjMatrix * in_modelMatrix * vec4(in_position, 1);
}