#version 430

layout (location = 0) in vec3 aPos;
layout (location = 4) in vec2 in_uvmap;

out vec2 TexCoords;

uniform mat4 modelMatrix;
uniform mat4 viewProjMatrix;
uniform vec3 viewPosition;

void main()
{
    TexCoords = in_uvmap;
    gl_Position = viewProjMatrix * (modelMatrix * vec4(aPos, 1.0));
}